# JPImagePickerController.h

Use the links in the table of contents to the left to access the documentation.

## Classes

`JPImagePickerController`

  A image picker view controller.

## Protocols

`JPImagePickerControllerDataSource`

  The data source protocol for JPImagePickerController

`JPImagePickerControllerDelegate`

  Delegate protocol for the JPImagePickerController

## Enumerated Types

`JPImagePickerControllerPreviewImageSize`

  Specifies the preview image width and height.

`JPImagePickerControllerThumbnailSize`

  Specifies the thumbnail width and height.

### JPImagePickerControllerPreviewImageSize

Specifies the preview image width and height.

    enum JPImagePickerControllerPreviewImageSize {
        kJPImagePickerControllerPreviewImageSizeWidth = 320,
        kJPImagePickerControllerPreviewImageSizeHeight = 420
    };

##### Constants

`kJPImagePickerControllerPreviewImageSizeWidth`

  Preview image width 320 px.

`kJPImagePickerControllerPreviewImageSizeHeight`

  Preview image height 420 px.

### JPImagePickerControllerThumbnailSize

Specifies the thumbnail width and height.

    enum JPImagePickerControllerThumbnailSize {
        kJPImagePickerControllerThumbnailSizeWidth = 75,
        kJPImagePickerControllerThumbnailSizeHeight = 75
    };

##### Constants

`kJPImagePickerControllerThumbnailSizeWidth`

  Thumbnail width 75 px.

`kJPImagePickerControllerThumbnailSizeHeight`

  Thumbnail height 75 px.

Last Updated: Saturday, November 14, 2009